### Method

# Ggit Repository set_workdir

#### Declaration [src]

    void
    ggit_repository_set_workdir (
      GgitRepository* repository,
      GFile* workdir,
      gboolean update_gitlink
    )

#### Description [src]

Sets the working directory of the repository. If `update_gitlink` is set to `TRUE` “core.worktree” will be set in the config if workdir is not the parent of the .git directory).

Sets property | `Ggit.Repository:workdir`

#### Parameters

`workdir`

  Type: `GFile`

  The working directory.

  The data is owned by the caller of the method.

`update_gitlink`

  Type: `gboolean`

  Create/update gitlink in workdir.